ServerEvents.recipes((event) => {
    const recipes = [
      {
        output: "eidolon:lesser_soul_gem",
        pattern: ["ABA", "CCC", "DBD"],
        key: {
          A: "minecraft:redstone",
          B: "minecraft:lapis_lazuli",
          C: "eidolon:soul_shard",
          D: "minecraft:quartz",
        },
        id: "eidolon:lesser_soul_gem_fancy",
      }
    ];
  
    recipes.forEach((recipe) => {
      if (recipe.id) {
        event.shaped(recipe.output, recipe.pattern, recipe.key).id(recipe.id);
      } else {
        event.shaped(recipe.output, recipe.pattern, recipe.key);
      }
    });
  });
  